Skip to main content
PUT
Update a task

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

uuid
string<uuid>
required

Task UUID

Body

application/json
title
string
description
string
scheduled_at
string<date-time>
priority
integer
Required range: 1 <= x <= 10
status
enum<string>

in_progress, completed and failed are only accepted for human-assigned tasks (the assignee reporting progress on their manual task)

Available options:
pending,
scheduled,
queued,
cancelled,
on_hold,
in_progress,
completed,
failed
assigned_to_user_id
integer

User ID to assign task to

result_message
string

Optional note stored with completed/failed status changes on human-assigned tasks

task_data
object
metadata
object
auto_queue
boolean

Re-queue task if scheduling changes

Response

Task updated successfully